import path from "path";
import storage from "./storage";
export const setKeyOpenChildWindow = async (key: string, bool: boolean) => {
  const openChildWindow = await JSON.parse(storage.getItem('openChildWindow') as string)
  openChildWindow[key] = bool;
  if (key === 'shareScreenWindow' && !bool) {
    for (const k in openChildWindow) {
      openChildWindow[k] = false
    }
  }
  storage.setItem('openChildWindow', JSON.stringify(openChildWindow))
};
export const getKeyOpenChildWindow = async (key: string): Promise<boolean> => {
  const openChildWindow = await JSON.parse(storage.getItem('openChildWindow') as string)
  return openChildWindow[key]
};


export const storageSeeting: any = {
  videoDeviceId: '', //摄像头id
  ecordingDeviceId: "", //输入设备id
  playBackDeviceId: "", //输出设备id
  ecordingVolume: '', //输入音量
  playBackVolume: '', //输出音量
  autoEcordingVolume: true, //是否自动调整麦克风音量
  recordingFilesPath: path.resolve(__dirname, '../../Downloads') + '\\', //本地录制保存路径
  shareFilesPath: path.resolve(__dirname, '../../Downloads/') + '\\', //共享文件保存路径
  isShareSavePath: true, //是否下载钱询问每个文件保存的位置
  closeSetting: 'hide', //关闭按钮设置
  isAINoiseReduction: true, //是否开启ai降噪
  aINoiseReduction: 1, // 降噪模式
  isRecordingTips: true, //是否开启录制提示
  beautyEffect: { //美颜效果
    isBeautyEffect: false, //是否打开美颜
    lighteningContrastLevel: 1, //对比度
    lighteningLevel: 0, //美白程度
    smoothnessLevel: 0, //磨皮程度
    rednessLevel: 0, //红润度
    sharpnessLevel: 0, //锐化程度
  },
  colorEnhancement: { //色彩增强
    isColorEnhancement: false, //是否打开色彩增强
    strengthLevel: 0.5, //色彩增强程度
    skinProtectLevel: 1, //肤色保护程度
  },
  darkLightEnhancement: { //暗光增强
    isDarkLightEnhancement: false, //是否打开暗光增强
    level: 0, //暗光增强等级
    mode: 0, //暗光增强模式
  },
  virtualBackground: { //虚拟背景
    isVirtualBackground: false, //是否打开虚拟背景
    color: '0xFFFFFF', // 纯色
    sourceIndex: '', // 背景图下标
  },
}

export const getUpdateUrl = (env: string) => {
  switch (env) {
    case 'xy':
      return 'https://meeting-api.23544.com/meeting/xysz'
    default:
      return 'https://meeting-api.23544.com/meeting/update'
  }
}
export const getTitle = (env: string) => {
  switch (env) {
    case 'xy':
      return '湖北襄阳四中教研平台'
    default:
      return '智汇享'
  }
}